Subject: Re: Allow IP header alignment to be overriden

From: Anton Blanchard <[email-masked]>
Date: Sat, 12 Jun 2004 00:08:43 +1000

> This transformation is not valid for a lot of drivers, that "2"
> in the reserve exists elsewhere in other calculations in the
> drivers.  For example, it is added to the RX skb allocation
> size.  Sometimes this '2' is there in non-trivial or hard to
> see ways (ie. it's implicitly in some DMA alignment value)
> 
> That's the only reason I'm against this patch.

Yeah I started converting all drivers across to skb_align and quickly
noticed that. We can instead convert drivers over as they are tested,
the Gbit and 10Gbit cards being the most important.

Ive tested the 2 10Gbit cards and one 1Gbit (e1000). I can test the
acenic and should be able to hunt down a sungem and tg3.

That leaves dl2K, myricom, ns83820, hamachi, yellowfin, r8169, and sk98lin
which can be converted across as needed.

Anton